| CustomAndroidAPI 1.11

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
it.custom.printer.api.android.PrinterStatus Class Reference

## Public Member Functions
boolean | equals (Object aThat)

## Static Public Member Functions
static PrinterStatus | FillPrinterStatusFromPrinterFullStatus (long lStatusPrinter)

## Public Attributes
boolean | stsNOPAPER = false
boolean | stsNEARENDPAP = false
boolean | stsTICKETOUT = false
boolean | stsNOHEAD = false
boolean | stsNOCOVER = false
boolean | stsSPOOLING = false
boolean | stsPAPERROLLING = false
boolean | stsLFPRESSED = false
boolean | stsFFPRESSED = false
boolean | stsOVERTEMP = false
boolean | stsHLVOLT = false
boolean | stsPAPERJAM = false
boolean | stsCUTERROR = false
boolean | stsRAMERROR = false
boolean | stsEEPROMERROR = false

## Detailed Description

This is the container class to hold the printer status

## Member Function Documentation

boolean it.custom.printer.api.android.PrinterStatus.equals | ( | Object | aThat | ) |
| inline

Override equals

static PrinterStatus it.custom.printer.api.android.PrinterStatus.FillPrinterStatusFromPrinterFullStatus | ( | long | lStatusPrinter | ) |
| inline static

## Member Data Documentation

boolean it.custom.printer.api.android.PrinterStatus.stsCUTERROR = false

Indicates that the printer is in CUTTER ERROR Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsEEPROMERROR = false

Indicates that the printer is in EEPROM ERROR Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsFFPRESSED = false

Indicates that the printer is in FFPRESSED Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsHLVOLT = false

Indicates that the printer is in OVERVOLTAGE Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsLFPRESSED = false

Indicates that the printer is in LFPRESSED Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsNEARENDPAP = false

Indicates that the printer is in NEAR PAPER END Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsNOCOVER = false

Indicates that the printer is in COVER OPEN Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsNOHEAD = false

Indicates that the printer is in HEAD UP Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsNOPAPER = false

Indicates that the printer is in NO PAPER Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsOVERTEMP = false

Indicates that the printer is in OVERTEMPERATURE Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsPAPERJAM = false

Indicates that the printer is in PAPER JAM Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsPAPERROLLING = false

Indicates that the printer is in PAPER ROLLING Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsRAMERROR = false

Indicates that the printer is in RAM ERROR Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsSPOOLING = false

Indicates that the printer is in SPOOLING Status. Refer to Printer manual to know if this status is supported by the device

boolean it.custom.printer.api.android.PrinterStatus.stsTICKETOUT = false

Indicates that the printer is in TICKET OUT Status. Refer to Printer manual to know if this status is supported by the device